Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2014-0036

CVE information

Published

9 years ago

Last Modified

9 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

The rbovirt gem before 0.0.24 for Ruby uses the rest-client gem with SSL verification disabled, which allows remote attackers to conduct man-in-the-middle attacks via unspecified vectors..

CVSSv2.0 Score

Severity
Medium
Base Score
6.8/10
Exploit Score
8.6/10
Access Vector
Network
Access Complexity
Medium
Authentication Required
None
Impact Score
6.4/10
Confidentiality Impact
Partial
Availability Impact
Partial
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:amos_benari:rbovirt:0.0.6:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.10:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.4:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.8:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.9:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.18:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.22:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.1:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.12:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.5:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.13:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.21:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.19:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.11:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.2:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:*:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.15:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.20:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.14:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.16:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.3:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.17:*:*:*:*:ruby:*:*
  Yes
- -
cpe:2.3:a:amos_benari:rbovirt:0.0.7:*:*:*:*:ruby:*:*
  Yes
- -